Company Research
Research companies
Research companies by search result IDs from /search/companies and/or direct company identifiers (domain, companyName).
POST
/
companies
/
research
curl --request POST \
--url https://api.seamless.ai/api/client/v1/companies/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchResultIds": [
"a1b2c3d4-e5f6-3a4b-8c9d-1e2f3a4b5c6d",
"f6e5d4c3-b2a1-3f4e-9d8c-6b5a4f3e2d1c"
],
"companies": [
{
"domain": "seamless.ai",
"companyName": "Seamless.AI"
},
{
"domain": "openai.com"
}
]
}
'{
"success": true,
"requestIds": [
"kf9Lm2Qx7Rp4Tn1Vw8Zc0",
"Hd3Bs6Yj0Wk5Qn2Lp9Rt7"
]
}Authorizations
OAuth2ApiKeyAuth
Body
application/json
Companies to enrich directly without running search first. Each item must include at least one identifier:
domaincompanyName
When only domain is supplied, the company name is resolved from Seamless data; if no company
is known for that domain the request finishes with status error when polled.
Maximum array length:
500Show child attributes
Show child attributes
Example:
[
{
"domain": "seamless.ai",
"companyName": "Seamless.AI"
}
]
Was this page helpful?
⌘I
curl --request POST \
--url https://api.seamless.ai/api/client/v1/companies/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchResultIds": [
"a1b2c3d4-e5f6-3a4b-8c9d-1e2f3a4b5c6d",
"f6e5d4c3-b2a1-3f4e-9d8c-6b5a4f3e2d1c"
],
"companies": [
{
"domain": "seamless.ai",
"companyName": "Seamless.AI"
},
{
"domain": "openai.com"
}
]
}
'{
"success": true,
"requestIds": [
"kf9Lm2Qx7Rp4Tn1Vw8Zc0",
"Hd3Bs6Yj0Wk5Qn2Lp9Rt7"
]
}